# snd_tplg_enum_template Struct Reference
[Topology Interface]

Template type for enumerated control objects. More...

## Data Fields

struct snd_tplg_ctl_template | hdr
struct snd_tplg_channel_map_template * | map
int | items
int | mask
const char ** | texts
const int ** | values
struct snd_soc_tplg_private * | priv

## Detailed Description

Template type for enumerated control objects.

## Field Documentation

struct snd_tplg_ctl_template snd_tplg_enum_template::hdr `[read]`

control type header

int snd_tplg_enum_template::items

number of enumerated items in control

struct snd_tplg_channel_map_template* snd_tplg_enum_template::map `[read]`

channel map

int snd_tplg_enum_template::mask

register mask size

struct snd_soc_tplg_private* snd_tplg_enum_template::priv `[read]`

control private data

const char** snd_tplg_enum_template::texts

control text items

const int** snd_tplg_enum_template::values

control value items

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/topology.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines